import { AnyFunction, CancelDelayFunction } from "./types";
/**
 * @returns {(tag: string, timeout: number, callback: AnyFunction) => CancelDelayFunction}
 */
export declare const createDelayContext: () => (tag: string, timeout: number, callback: AnyFunction) => CancelDelayFunction;
/**
 * @type {(tag: string, timeout: number, callback: AnyFunction) => CancelDelayFunction}
 */
export declare const delay: (tag: string, timeout: number, callback: AnyFunction) => CancelDelayFunction;
/**
 * @param {AnyFunction} callback
 * @param {number} [default_threshold=-1]
 * @returns {{cancel: () => void, set: (timeout: number, set_calls_threshold?: number) => void, now: () => void}}
 */
export declare const createDelayed: (callback: AnyFunction, default_threshold?: number) => {
    set: (timeout: number, set_calls_threshold?: number) => void;
    cancel: () => void;
    now: () => void;
};
